# Uses of Interface
java.awt.datatransfer.FlavorListener

Packages that use FlavorListener
Package
Description
java.awt.datatransfer
Provides interfaces and classes for transferring data between and within applications.

- ## Uses of FlavorListener in java.awt.datatransfer

  Methods in java.awt.datatransfer that return FlavorListener
  Modifier and Type
  Method
  Description
  `FlavorListener[]`
  Clipboard.`getFlavorListeners()`
  Returns an array of all the `FlavorListener`s currently registered on this `Clipboard`.
  Methods in java.awt.datatransfer with parameters of type FlavorListener
  Modifier and Type
  Method
  Description
  `void`
  Clipboard.`addFlavorListener(FlavorListener listener)`
  Registers the specified `FlavorListener` to receive `FlavorEvent`s from this clipboard.
  `void`
  Clipboard.`removeFlavorListener(FlavorListener listener)`
  Removes the specified `FlavorListener` so that it no longer receives `FlavorEvent`s from this `Clipboard`.